PKG-UPGRADE(8)

NAME
pkg upgrade - performs upgrades of package software distributions

SYNOPSIS
pkg upgrade [-fInFqUy] [-r reponame]

DESCRIPTION
pkg upgrade is used for upgrading packaged software distributions.

pkg upgrade compares the versions of all of the packages installed on the system to what is available in the configured package repositories. Any out-of-date packages are added to a work list for processing. If the -f (force) flag is given, all installed packages are added to the work list.

The package metadata downloaded from the repositories is then examined for each of the packages in the work list, and any missing dependencies are added to the work list as install jobs. Such implicitly added packages are flagged as candidates for autoremoval. See pkg-autoremove(8) for details.

Autoremoval flags are sticky, and will persist over reinstallation or upgrade of the packages concerned, even if subsequently the packages are named explicitly on a command line. See pkg-query(8) for finding the autoremoval status of a package, and pkg-set(8) for modifying it.

Where a package on the work list supplies a shared library, and that library has been updated, all packages requiring that shared library will also be added to the work list as reinstallation jobs.

The work list is sorted into dependency order and pkg upgrade will present it to the user for approval before proceeding, unless overridden by the -y option or the ASSUME_ALWAYS_YES setting in pkg.conf.

Packages are fetched from the repositories into the local package cache if they are not already present, or if the checksum of the cached package file differs from the one in the repository. Packages may be downloaded from any of the repositories mentioned in pkg.conf(5) or in the files in /usr/local/etc/pkg/repo. See pkg-repository(5) for details.

Repository catalogues will automatically be updated whenever pkg-update(8) is run, unless disabled by the -U flag or setting REPO_AUTOUPDATE to NO in pkg.conf(5).

Finally, the work list is executed in dependency order. Package reinstall or update jobs are processed by removing the currently installed package and immediately installing the replacement. New dependencies are processed as installation jobs as part of the work list.

OPTIONS
The following options are supported by pkg upgrade:

-f  Force reinstalling/upgrading the whole set of packages

-I  If any installation scripts (pre-install or post-install) or deinstallation scripts (pre-deinstall or post-deinstall) exist for a given package, do not execute them.

-n  Dry-run mode: show what packages have updates available, but do not perform any upgrades. Repository catalogues will be updated as usual unless the -U option is also given.

-F  Do not perform installation of packages, merely fetch packages that should be upgraded and detect possible conflicts.

-q  Force quiet output, except when -n is used, where a summary of the work list is always displayed.

-U  Skip updating the repository catalogues with pkg-update(8). Use the local cache only. pkg upgrade will always print out the list of packages with available updates.

-y  Assume yes when asked for confirmation before package installation.

ENVIRONMENT
The following environment variables affect the execution of pkg upgrade. See pkg.conf(5) for further description.

ASSUME_ALWAYS_YES

HANDLE_RC_SCRIPTS

PACKAGESITE

PKG_CACHEDIR

PKG_DBDIR

REPO_AUTOUPDATE

FILES
See pkg.conf(5).

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-config(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-version(8), pkg-which(8)